#!/bin/bash
#
# skel.sh
#  Sample bash skeleton file
#
# Changelog
#  2014-03-25 - Nathan Isburgh <nathan@edgecloud.com>
#             * Initial version
#

# User configurable variables
DEBUG=1

#
# END OF CONFIGURATION VARIABLES
# NO MORE EDITS BELOW THIS LINE
#

# Functions
fail() {
  cleanup
  ECODE=${1:-1}
  EMSG=$2
  if [ -n "$EMSG" ]
  then
    printf "%s\n" $EMSG > /dev/stderr
  fi
  exit $ECODE
}

succeed() {
  cleanup
  exit 0
}

cleanup() {
  # Close log files, shutdown connections, etc..
  return
}

debug() {
  if [ $DEBUG -eq 0 ]
  then
    return
  fi
  printf " >>> %s %s\n" "$(date)" "$1" > /dev/stderr
}

usage() {
  cat << eof
Usage:
  $0 [options] [arguments]...
eof
}


# Main body

